diff --git a/src/main/java/catserver/server/launch/Java11Launch.java b/src/main/java/catserver/server/launch/Java11Launch.java
index 157657a2..2b3e7661 100644
--- a/src/main/java/catserver/server/launch/Java11Launch.java
+++ b/src/main/java/catserver/server/launch/Java11Launch.java
@@ -40,6 +40,9 @@ public class Java11Launch {
                 Thread.currentThread().setContextClassLoader(Launch.classLoader);
 
                 Launch.classLoader.addClassLoaderExclusion("javax.");
+                Launch.classLoader.addClassLoaderExclusion("pro.gravit.launcher.");
+                Launch.classLoader.addClassLoaderExclusion("pro.gravit.utils.");
+                Launch.classLoader.addTransformerExclusion("com.mojang.authlib.");
 
                 return null;
             });
diff --git a/src/main/java/net/minecraftforge/fml/common/asm/transformers/deobf/FMLDeobfuscatingRemapper.java b/src/main/java/net/minecraftforge/fml/common/asm/transformers/deobf/FMLDeobfuscatingRemapper.java
index 348d2a25..6ca61abf 100644
--- a/src/main/java/net/minecraftforge/fml/common/asm/transformers/deobf/FMLDeobfuscatingRemapper.java
+++ b/src/main/java/net/minecraftforge/fml/common/asm/transformers/deobf/FMLDeobfuscatingRemapper.java
@@ -428,6 +428,10 @@ public class FMLDeobfuscatingRemapper extends Remapper {
             }
             mergeSuperMaps(name, superName, interfaces);
         }
+        catch (IllegalArgumentException e)
+        {
+            FMLLog.log.warn(String.format("findAndMergeSuperMaps can't process %s (probably compiled by more recent version Java)", name));
+        }
         catch (IOException e)
         {
             FMLLog.log.error("Error getting patched resource:", e);
